.offer {
    position: relative;
    padding-top: rem(25);
    padding-bottom: rem(30);

    .container {
        z-index: 50;
        position: relative;
    }

    &__body {
        margin: 0 auto;
        max-width: rem(360);
        position: relative;
    }

    &__row {
        z-index: 20;
        position: relative;
    }

    &__content {
        z-index: 10;
        position: relative;
    }

    &__text {
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);

        p {
            margin-bottom: rem(18);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__man {
        z-index: 1;
        right: rem(-44);
        bottom: rem(290);
        width: rem(261);
        position: absolute;
    }

    &__form {
        z-index: 10;
        position: relative;
    }

    &--one {
        background: url("../img/offer_one.jpg") 50% 50% no-repeat;
        background-size: cover;

        .offer {

            &__heading {
                text-align: left;
                margin-bottom: rem(21);
            }

            &__content {
                margin-bottom: rem(14);
            }

            &__text {
                width: rem(140);
                margin-bottom: rem(14);
            }
        }
    }

    &--two {
        color: $white;
        padding-top: rem(30);
        padding-bottom: rem(40);
        background: radial-gradient(195.41% 952.82% at -8.59% 167.38%, #4DB851 19.75%, #308ECD 86.04%);

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            position: absolute;
            background: url("../img/offer_two_bg_sm.webp") 50% 0% no-repeat;
            background-size: cover;
        }

        .offer {

            &__heading {
                margin-bottom: rem(24);
            }

            &__content {
                text-align: center;
                margin-bottom: rem(18);
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding: 0;

        &__body {
            width: 100%;
            max-width: inherit;
            padding-top: rem(80);
            padding-bottom: rem(80);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__man {
            display: none;
        }

        &__heading {
            font-size: rem(24);
            line-height: rem(30);
        }

        &__form {
            width: rem(360);
            flex-shrink: 0;
        }

        &__text {
            font-size: rem(16);
            line-height: rem(24);

            p {
                margin-bottom: rem(20);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        &--one {

            .offer {

                &__heading {
                    text-align: left;
                }

                &__content {
                    margin-bottom: 0;
                    padding-right: rem(24);
                }

                &__text {
                    width: rem(330);
                }
            }
        }

        &--two {

            &:before {
                background: url("../img/offer_two_bg_md.webp") 50% 50% no-repeat;
                background-size: auto auto;
            }

            .offer {

                &__heading {
                    text-align: left;
                }

                &__content {
                    text-align: left;
                    margin-bottom: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__content {
            padding: 0;
        }

        &__man {
            left: calc(50% - 200px);
            bottom: 0;
            width: 500px;
            display: block;
        }

        &--one {

            .offer {

                &__content {
                    width: rem(360);
                    padding-right: 0;
                }
            }
        }

        &--two {

            .offer {

                &__heading {
                    margin-bottom: rem(32);
                }

                &__content {
                    width: rem(460);
                    flex-shrink: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__body {
            padding: rem(70) 0 rem(60) 0;
        }

        &__heading {
            font-size: rem(30);
            line-height: rem(40);
        }

        &__man {
            width: 656px;
            left: calc(50% - 260px);
        }

        &--one {

            .offer {

                &__body {
                    height: rem(600);
                }

                &__content {
                    width: rem(450);
                }
            }
        }

        &--two {

            .offer {

                &__body {
                    height: rem(560);
                }

                &__content {
                    width: rem(550);
                }
            }
        }
    }
}

.offer-form {
    color: $dark;
    background: $white;
    border-radius: 8px;
    border: 1px solid #E0E0E0;
    padding: rem(28) rem(20) rem(28) rem(20);
    box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);

    &__header {
        font-size: rem(12);
        line-height: rem(16);
        text-align: center;
        margin-bottom: rem(18);
    }

    &__title {
        font-weight: 700;
        margin-bottom: rem(5);
    }

    &__subtitle {
        font-weight: 500;
        color: rgba(0, 0, 20, 0.5);
    }

    &__button {
        padding-top: rem(9);
    }

    &__footer {
        font-weight: 500;
        font-size: rem(9);
        line-height: rem(12);
        text-align: center;
        padding-top: rem(12);
        color: rgba(0, 0, 20, 0.5);
    }

    @include media-breakpoint-up(md) {
        padding: rem(30) rem(30) rem(28) rem(30);

        &__header {
            font-size: rem(16);
            line-height: rem(24);
            margin-bottom: rem(22);
        }

        &__title {
            margin-bottom: 0;
        }

        &__footer {
            font-size: rem(12);
            line-height: rem(16);
            padding-top: rem(14);
        }
    }
}
